Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Interface ModuleActivator

All Known Implementing Classes:
  GeneNetModuleActivator, KeggPathwayModuleActivator, TranspathModuleActivator, StandardModuleActivator

public interface ModuleActivator

This class is used to activate the module during the process of module instalation. Examples of module activation actions are:

- request module key if module is not free
- copy some additional data in repository.
  For example, we distribute only Java code for GeneNet module, while GeneNet data is copied by module activator from MGL server.

Constants CREATE_DATA_COLLECTION_BEFORE, CREATE_DATA_COLLECTION_AFTER and CREATE_DATA_COLLECTION_NEVER indicates when corresponding data collection should be created.

pending refine comments, rename to ModucleActivator

Field Summary
`final static int` | `CREATE_DATA_COLLECTION_AFTER` This consatant indicates that first `createModule` will be called and after that data collection corresponding to module packed in bmd file will be created.
`final static int` | `CREATE_DATA_COLLECTION_BEFORE` This consatant indicates that first the data collection corresponding to module packed in bmd file will be created, after that `createModule` will be called.
`final static int` | `CREATE_DATA_COLLECTION_NEVER` This consatant indicates that `createModule` completely responsible for creation of data collection corresponding to module packed in bmd file.

Method Summary
`Module` | `createModule(JDialog owner, Repository parent, JarFile moduleFile, String classpath, Category cat, CreateDataCollectionController controller)` Creates the module with initialised internal structure from moduleFile .
`int` | `whenCreateDataCollection()` Indicates when module data collection should be created by ModulePackager.

Field Detail

### CREATE_DATA_COLLECTION_AFTER

    public final static int CREATE_DATA_COLLECTION_AFTER

  This consatant indicates that first `createModule` will be called and after that data collection corresponding to module packed in bmd file will be created.

### CREATE_DATA_COLLECTION_BEFORE

    public final static int CREATE_DATA_COLLECTION_BEFORE

  This consatant indicates that first the data collection corresponding to module packed in bmd file will be created, after that `createModule` will be called.

### CREATE_DATA_COLLECTION_NEVER

    public final static int CREATE_DATA_COLLECTION_NEVER

  This consatant indicates that `createModule` completely responsible for creation of data collection corresponding to module packed in bmd file.

Method Detail

### createModule

    public Module createModule(JDialog owner, Repository parent, JarFile moduleFile, String classpath, Category cat, CreateDataCollectionController controller)
                         throws java.lang.Exception

  Creates the module with initialised internal structure from moduleFile .

### whenCreateDataCollection

    public int whenCreateDataCollection()

  Indicates when module data collection should be created by ModulePackager.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM